PropertyUtils (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.util, class: PropertyUtils

Package org.apache.cxf.common.util

# Class PropertyUtils

java.lang.Object
org.apache.cxf.common.util.PropertyUtils

public final class PropertyUtils extends Object
Holder of generic property related methods

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Integer`
  `getInteger(Message message, String key)`
  `static Long`
  `getLong(Message message, String key)`
  `static boolean`
  `isFalse(Object property)`
  It might seem odd to return 'true' if a property == FALSE, but it is required sometimes.
  `static boolean`
  `isFalse(Map<String,Object> props, String key)`
  It might seem odd to return 'true' if a property == FALSE, but it is required sometimes.
  `static boolean`
  `isTrue(Object property)`
  Returns true if a value is either the String "true" (regardless of case) or Boolean.TRUE.
  `static boolean`
  `isTrue(Map<String,Object> props, String key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isTrue

    public static boolean isTrue(Map<String,Object> props, String key)

  - ### isFalse

    public static boolean isFalse(Map<String,Object> props, String key)
    It might seem odd to return 'true' if a property == FALSE, but it is required sometimes.
    Parameters:
      `props` -
      `key` -
    Returns:
      false if value is either the String "false" or Boolean.FALSE. Otherwise returns true.

  - ### isTrue

    public static boolean isTrue(Object property)
    Returns true if a value is either the String "true" (regardless of case) or Boolean.TRUE.
    Parameters:
      `property` -
    Returns:
      true if value is either the String "true" or Boolean.TRUE. Otherwise returns false.

  - ### isFalse

    public static boolean isFalse(Object property)
    It might seem odd to return 'true' if a property == FALSE, but it is required sometimes. Returns false if a value is either the String "false" (regardless of case) or Boolean.FALSE.
    Parameters:
      `property` -
    Returns:
      false if value is either the String "false" or Boolean.FALSE. Otherwise returns true.

  - ### getLong

    public static Long getLong(Message message, String key)

  - ### getInteger

    public static Integer getInteger(Message message, String key)